import * as plugins from './npmci.plugins.js';
import { Npmci } from './npmci.classes.npmci.js';

export class NpmciEnv {
  public npmciRef: Npmci;

  public repoString: string;
  public repo: plugins.smartstring.GitRepo;

  constructor(npmciRefArg: Npmci) {
    this.npmciRef = npmciRefArg;
    if (process.env.GITLAB_CI) {
      this.repoString = process.env.CI_REPOSITORY_URL;
    }
    if (process.env.NPMCI_COMPUTED_REPOURL) {
      this.repoString = process.env.NPMCI_COMPUTED_REPOURL;
    }
    if (!this.repoString) {
      this.repoString = 'https://undefined:undefined@github.com/undefined/undefined.git';
    }
    this.repo = new plugins.smartstring.GitRepo(this.repoString);
  }
}
